<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title> Mediatheque : les CD</title>    

    </head>
    
    <body>
        <h1>Les CD : </h1>
        <p><input type="button" value="lire tout" id="btLire"></p>
        <table id="taCds">
        </table>
        <script>
        
     let btLire=document.getElementById("btLire")
     let taCds=document.getElementById("taCds")
     btLire.addEventListener("click",function(){
    	 btLire.disabled=true
    	 let xhr =new XMLHttpRequest()
    	 xhr.open("GET","http://localhost:9002/json/cd")
    	 xhr.onreadystatechange=function(){
    		 //200=ok
    		 //4=reponse reçue
    		 if(this.status == 200 && this.readyState==4){
    			 console.log("Réponse reçue"+this.responseText)
    			 let cds=JSON.parse(this.responseText)
    			 let html ="<tr><th>Titre</th><th>Auteur</th><th>Annee</th></tr>"
    			 for (let cd of cds){
    				 html+= "<tr>"+
    				 "<td>"+cd["titre"]+"</td>"+
    				 "<td>"+cd["artiste"]+"</td>"+
    				 "<td>"+cd["annee"]+"</td>"+
    				 "</tr>"
    			 }
    			 taCds.innerHTML=html 
    		 }
    	 }
    	xhr.send()
     })
        
        
        
        </script>
        
        
        
    
    
    
    
    </body>






</html>